osl::HashKey Class Reference

`#include <hashKey.h>`

Inheritance diagram for osl::HashKey:

## Public Member Functions

| HashKey ()
| HashKey (const SimpleState &)
const HashKey | newHashWithMove (Move move) const
const HashKey | newMakeMove (Move) const
const HashKey | newUnmakeMove (Move) const
void | dumpContents (std::ostream &os) const
void | dumpContentsCerr () const
Public Member Functions inherited from osl::hash::HashKey128
| HashKey128 ()
| HashKey128 (uint64_t h0, uint32_t h1, uint32_t s)
| HashKey128 (const HashKey128Layout &src)
const BoardKey96 | boardKey () const
uint64_t | boardKey64 () const
uint64_t | signature () const
uint64_t | hash64 () const
| 持駒も含んだ64bitのハッシュ
uint64_t | pieceStand64 () const
const PieceStand | pieceStand () const
const PieceStand | blackStand () const
void | setPieceStand (const PieceStand &p)
bool | isSameBoard (const HashKey128 &key) const
| 駒台の情報を除いて同じかどうか.
HashKey128 & | operator+= (const HashKey128 &r)
HashKey128 & | operator-= (const HashKey128 &r)
void | add (Move move)
void | changeTurn ()
void | setPlayer (Player p)
bool | playerBit () const
bool | isPlayerOfTurn (Player p) const
Player | turn () const
void | setRandom ()
| 乱数で初期化.
size_t | size () const
uint64_t | operator[] (size_t i) const

## Static Public Member Functions

static const HashKey | readFromDump (const std::string &)
static const HashKey | readFromDump (std::istream &)

## Additional Inherited Members

Static Public Attributes inherited from osl::hash::HashKey128
static const StandHash | Stand_Hash

## Detailed Description

Definition at line 152 of file hashKey.h.

## Constructor & Destructor Documentation

## HashKey() [1/2]

osl::hash::HashKey::HashKey | ( |  | ) |

inline

Definition at line 155 of file hashKey.h.

## HashKey() [2/2]

osl::hash::HashKey::HashKey | ( | const SimpleState & | state | ) |

Definition at line 52 of file hashKey.cc.

## Member Function Documentation

## dumpContents()

void osl::hash::HashKey::dumpContents | ( | std::ostream & | os | ) | const

Definition at line 38 of file hashKey.cc.

## dumpContentsCerr()

void osl::hash::HashKey::dumpContentsCerr | ( |  | ) | const

Definition at line 46 of file hashKey.cc.

## newHashWithMove()

const osl::hash::HashKey osl::hash::HashKey::newHashWithMove | ( | Move | move | ) | const

Definition at line 62 of file hashKey.cc.

## newMakeMove()

const osl::hash::HashKey osl::hash::HashKey::newMakeMove | ( | Move | move | ) | const

Definition at line 68 of file hashKey.cc.

## newUnmakeMove()

const osl::hash::HashKey osl::hash::HashKey::newUnmakeMove | ( | Move | move | ) | const

Definition at line 95 of file hashKey.cc.

## readFromDump() [1/2]

const HashKey osl::hash::HashKey::readFromDump | ( | const std::string & |  | ) |

static

## readFromDump() [2/2]

const HashKey osl::hash::HashKey::readFromDump | ( | std::istream & |  | ) |

static

The documentation for this class was generated from the following files:

- hashKey.h
- hashKey.cc